# 更新日志

## [0.2.0] - 未发布

### 新增功能

- **模型检测工具**

  - 添加了模型检测功能，可自动检测环境中可用的大模型
  - 支持检测 OpenAI 和本地模型

- **健康检查工具**

  - 添加了大模型健康检查功能，验证 API 连接和模型可用性
  - 支持延迟测量和错误诊断
  - 根据错误类型提供智能建议

- **提示模板构建器**

  - 添加了`PromptBuilder`类，简化提示模板的创建过程
  - 提供了多个预定义的模板构建函数：
    - `createRAGPromptTemplate`
    - `createAgentPromptTemplate`
    - `createChatPromptTemplate`
    - `createTranslationPromptTemplate`
    - `createExtractionPromptTemplate`

- **测试框架**
  - 集成了 Jest 测试框架
  - 添加了`tokenCounter`单元测试

### 改进

- **`estimateTokenCount`函数**

  - 改进了空字符串和空消息数组的处理
  - 增强了错误处理机制

- **文档**
  - 更新了 README.md，添加了新功能介绍和使用示例

### 新增示例

- **模型检测和健康检查示例**

  - `model-health-check-example.ts`：展示如何检测可用模型和执行健康检查

- **提示模板构建示例**
  - `prompt-builder-example.ts`：展示如何使用 PromptBuilder 和预定义模板函数

## [0.1.0] - 初始版本

- 初始项目结构
- RAG 模块实现
- Agent 模块实现
- 聊天模块实现
- 基本工具函数
