/**
 * Agent工具模块
 *
 * 提供各种预定义的工具，供Agent使用
 */
import { DynamicStructuredTool } from "@langchain/core/tools";
import { AgentTool } from "../types.js";
/**
 * 创建基础计算器工具
 * @returns 计算器工具
 */
export declare function createCalculatorTool(): DynamicStructuredTool;
/**
 * 创建时间工具
 * @returns 时间工具
 */
export declare function createDateTimeTool(): DynamicStructuredTool;
/**
 * 创建网络搜索工具（模拟）
 * @returns 网络搜索工具
 */
export declare function createSearchTool(): DynamicStructuredTool;
/**
 * 从通用AgentTool接口创建DynamicStructuredTool
 * @param tool 通用工具接口
 * @returns 可用于LangChain Agent的工具
 */
export declare function createToolFromInterface(tool: AgentTool): DynamicStructuredTool;
/**
 * 创建一组常用工具
 * @returns 常用工具数组
 */
export declare function createCommonTools(): DynamicStructuredTool[];
