/**
 * Token计数器工具类
 *
 * 用于计算文本或聊天消息中的token数量
 */
import { BaseMessage } from "@langchain/core/messages";
/**
 * 通过近似方法估算文本的token数量
 *
 * @param text 需要计算token的文本
 * @returns token数量的估计值
 */
export declare function estimateTokenCount(text: string): number;
/**
 * 估算消息数组中的token数量
 *
 * @param messages 消息数组
 * @returns token数量的估计值
 */
export declare function estimateMessagesTokenCount(messages: BaseMessage[]): number;
/**
 * 估算最大可用于上下文的token数量
 *
 * @param modelName 模型名称
 * @returns 估计的最大token上下文长度
 */
export declare function getModelContextSize(modelName: string): number;
