# LLM Node.js 工具包文档

欢迎使用 LLM Node.js 工具包！这是一个为简化大语言模型应用开发而设计的 Node.js 工具箱，集成了 LangChain、RAG、Agent 等功能，帮助开发者轻松构建基于大模型的应用。

## 文档目录

- [项目介绍](./introduction.md) - 了解项目背景、目标和主要特性
- [安装指南](./installation.md) - 如何安装和配置工具包
- [快速入门](./quickstart.md) - 15 分钟内构建你的第一个 LLM 应用
- [核心功能](./core-features/README.md)
  - [RAG (检索增强生成)](./core-features/rag.md)
  - [Agent (智能代理)](./core-features/agent.md)
  - [Chat (聊天功能)](./core-features/chat.md)
  - [工具函数](./core-features/utils.md)
- [高级功能](./advanced-features/README.md)
  - [模型检测和健康检查](./advanced-features/model-detection.md)
  - [提示模板构建](./advanced-features/prompt-templates.md)
- [示例详解](./examples/README.md)
- [API 参考](./api/README.md)
- [贡献指南](./contributing.md)
- [更新日志](./changelog.md)

## 项目特性

- 🔍 **RAG (检索增强生成)** - 轻松构建基于文档的问答系统
- 🤖 **Agent** - 使用工具增强的智能代理
- 💬 **聊天** - 简化聊天机器人应用构建
- 🛠️ **工具集** - 通用工具函数集合
- 🔄 **模型检测与管理** - 检测环境中可用的模型并执行健康检查
- 📝 **提示模板构建** - 轻松创建和管理提示模板

## 设计理念

LLM Node.js 工具包的核心设计理念是提供一套简洁、易用的 API，减少大模型应用开发的复杂性。我们遵循以下原则：

- **简单易用** - 提供流畅的链式 API 设计，让开发者能够以最小的学习成本构建应用
- **模块化** - 各个组件相互独立，可以按需引入和使用
- **扩展性** - 支持自定义和扩展各种功能，适应不同的业务场景
- **中文友好** - 全面支持中文处理和文档，针对中文应用场景进行优化
